Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518917 - _prefix items do not behave all the same
Summary: _prefix items do not behave all the same
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.9.0
Assignee: Vadim Rutkovsky
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 18:31 UTC by Erik M Jacobs
Modified: 2018-06-18 18:27 UTC (History)
7 users (show)

Fixed In Version: openshift-ansible-3.9.0-0.22.0.git.0.0e9d896.el7.noarch
Doc Type: Enhancement
Doc Text:
Various prefix vars are now uniformed
Clone Of:
Environment:
Last Closed: 2018-06-13 20:17:18 UTC


Attachments (Terms of Use)

Description Erik M Jacobs 2017-11-29 18:31:17 UTC
It appears that there is some mismatch in the behavior of the various prefix items. Snippet of hosts follows:

# Enable service catalog
openshift_enable_service_catalog=true
openshift_service_catalog_image_prefix=openshift3/ose-

# service broker(s)
# Enable template service broker
template_service_broker_install=true
template_service_broker_prefix=openshift3/

# Enable ansible service broker
ansible_service_broker_install=true
ansible_service_broker_image_prefix=openshift3/ose-

In this case it appears that the TSB needs to not have the "ose" added to the prefix, as it is trying to directly launch an ose pod:

[ec2-user@ip-172-18-5-178 ~]$ oc status
In project openshift-template-service-broker on server https://ip-172-18-5-178.ec2.internal:8443

svc/apiserver - 172.30.168.24:443 -> 8443
  pod/apiserver-fk4wv runs openshift3/ose-ose:v3.7

View details with 'oc describe <resource>/<name>' or list everything with 'oc get all'.

This mismatch in prefixes is an unexpected behavior.

Comment 1 Vadim Rutkovsky 2018-01-17 13:52:37 UTC
Created https://github.com/openshift/openshift-ansible/pull/6752

Comment 2 Vadim Rutkovsky 2018-01-22 10:10:25 UTC
The fix is available in openshift-ansible-3.9.0-0.22.0

Comment 3 Gaoyun Pei 2018-01-23 02:41:17 UTC
Verify this bug with openshift-ansible-3.9.0-0.22.0.git.0.0e9d896.el7.noarch, template_service_broker_prefix also has "ose-" added.


[root@gpei-preserved ~]# cat /usr/share/ansible/openshift-ansible/roles/template_service_broker/vars/default_images.yml 
---
__template_service_broker_prefix: "docker.io/openshift/origin-"
__template_service_broker_version: "latest"
__template_service_broker_image_name: "template-service-broker"

[root@gpei-preserved ~]# cat /usr/share/ansible/openshift-ansible/roles/template_service_broker/vars/openshift-enterprise.yml
---
__template_service_broker_prefix: "registry.access.redhat.com/openshift3/ose-"
__template_service_broker_version: "v3.7"
__template_service_broker_image_name: "template-service-broker"


Note You need to log in before you can comment on or make changes to this bug.